#!/bin/sh
# Copyright Joakim Nordling 2005-10-06
# version 1.5
###########################################################
# This script enables keepFCalive                         #
###########################################################

###############################################
# Set the logging paths and files             #
###############################################
generallog=~fcadmin/keepFCalive.log

###############################################
# Set the path to disable keepFCalive         #
###############################################
disableKeepFCalivefile=~fcadmin/keepFCalive/disableFCalive

###############################################
# Initiate some variables DO NOT MODIFY       #
###############################################
disableKeepFCalivefile2="$disableKeepFCalivefile"~
# disable1exists= (file exists=1, file doesn't exist=0)
if test -e "$disableKeepFCalivefile" ; then disable1exists=1 ; else disable1exists=0 ; fi
# disable2exists= (file exists=1, file doesn't exist=0)
if test -e "$disableKeepFCalivefile2" ; then disable2exists=1 ; else disable2exists=0 ; fi
# generallogexists= (file exists=1, file doesn't exist=0)
if test -e "$generallog" ; then generallogexists=1 ; else generallogexists=0 ; fi

###############################################
# Tell about enabling keepFCalive             #
###############################################
echo "$(date +"%Y-%m-%d %H:%M:%S") Enabling keepFCalive">>$generallog

###############################################
# Removes disable1 file                       #
###############################################
if [ "$disable1exists" = "1" ] ; then
	rm -d $disableKeepFCalivefile
fi

###############################################
# Removes disable2 file                       #
###############################################
if [ "$disable2exists" = "1" ] ; then
	rm -d $disableKeepFCalivefile2
fi

###############################################
# Update the existence info                   #
###############################################
# disable1exists= (file exists=1, file doesn't exist=0)
if test -e "$disableKeepFCalivefile" ; then disable1exists=1 ; else disable1exists=0 ; fi
# disable2exists= (file exists=1, file doesn't exist=0)
if test -e "$disableKeepFCalivefile2" ; then disable2exists=1 ; else disable2exists=0 ; fi

###############################################
# Werify that keepFCalive was enabled         #
###############################################
if [ "$disable1exists" = "0" ] && [ "$disable2exists" = "0" ] ; then
	echo "$(date +"%Y-%m-%d %H:%M:%S") keepFCalive is now enabled">>$generallog
	echo "------------------------------------------------------------------">>$generallog
else
	echo "$(date +"%Y-%m-%d %H:%M:%S") keepFCalive is NOT enabled, please enable it manually">>$generallog
	echo "------------------------------------------------------------------">>$generallog
fi